Name:		spacechart
Version:	0.9.5
Release:	7%{?dist}
Summary:	A 3D star-mapping program

Group:		Applications/Engineering
License:	GPLv2+
URL:		http://www.gnu.org/software/spacechart/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	spacechart.desktop
Source2:	spacechart.png
# From Debian:
# http://ftp.debian.org/debian/pool/main/s/spacechart/spacechart_0.9.5-13.diff.gz
Source3:	spacechart.1
Patch0:         spacechart-0.9.5-bounds.patch
Patch1:         spacechart-0.9.5-format.patch
Patch2:         spacechart-0.9.5-open.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	flex, gnome-libs-devel, desktop-file-utils

%description
GNU SpaceChart is a program that allows you to see the stars in
glorious 3D and rotate them to see them from any point of view.
You can also limit which stars you want to see, according to their
spectral class and luminosity, and draw links between all stars
closer than a certain distance.

%prep
%setup -q
%patch0 -p1 -b .bounds
%patch1 -p1 -b .format
%patch2 -p1 -b .open

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor fedora --dir ${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
install -Dpm 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
install -Dpm 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/doc/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*
%config(noreplace)%{_sysconfdir}/%{name}rc
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 6 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.9.5-4
- Fix a couple of crashes
- Accept a file to open as command line argument, default to shipped map

* Tue Mar 24 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 0.9.5-3
- Add icon
- Add manual page

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Mar 23 2008 Marek Mahut <mmahut@fedoraproject.org> - 0.9.5-1
- Initial package

